unit TesteSpielfeld;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, minedoutbase;

type

  { TestClass }

  TestClass = class
    procedure BewegungAbfangen(const NeuePos : TPos);
  end;

procedure SpielfeldZeichnen(Spielfeld : TSpielfeldArray);




implementation

procedure SpielfeldZeichnen(Spielfeld: TSpielfeldArray);
var
  i, j : Integer;
  Inhalt : String;
begin
  Inhalt:='';
  for i := NORDRAND DownTo SUEDRAND do
    begin
      begin
        for j := WESTRAND to OSTRAND do
        begin
          case Spielfeld[j, i] of
          TFeldinhalt.Mine: Inhalt:='X';
          TFeldinhalt.Spieler: Inhalt:='S';
          TFeldinhalt.Leer: Inhalt:='.';
          TFeldinhalt.Ziel: Inhalt:='Z';
        otherwise
          Inhalt:='?';
        end;
        Write(Inhalt);
        end;
      end;
      Writeln;
    end;


end;

{ TestClass }

procedure TestClass.BewegungAbfangen(const NeuePos: TPos);
begin
  Writeln('Bewegung abgefangen!');
  Writeln('Neue Position: ', NeuePos.Ausgeben);
end;









end.
