unit minedoutbase;

{$mode objfpc}{$H+}
{$modeswitch advancedrecords}

interface

uses
  Classes, SysUtils;

const
  WESTRAND = 1;
  OSTRAND = 80;
  SUEDRAND = 1;
  NORDRAND = 25;

  SPIELER_SYMBOL = 'S';
  MINEN_SYMBOL = 'M';
  LEER_SYMBOL = ' ';
  ZIEL_SYMBOl = 'Z';


type
  { * Enums * }
  TFeldinhalt = (Leer, Mine, Spieler, Ziel);
  TErgebnisBewegung = (Okay, GehtNicht, AufMineGetreten, ZielErreicht);
  TRichtung = (rNorden, rSueden, rOsten, rWesten);
  TAktionen = (uaNorden, uaSueden, uaOsten, uaWesten, uaAbbrechen, uaNichtsTun);

  (* Spielfeld *)
  TSpielfeldArray = array [WESTRAND..OSTRAND,
                                          SUEDRAND..NORDRAND]
                                          of TFeldinhalt;

  { TPos }

  TPos = record
    X : Integer;
    Y : Integer;
    function Ausgeben : String;
  end;

  (* Events *)
  TAktionUser = procedure (const DieAktion : TAktionen) of object;
  TAktionBewegung = procedure(const NeuePos : TPos) of object;




implementation



{ TPos }

function TPos.Ausgeben: String;
begin
  Result := '(' + IntToStr(X) + '/' + IntToStr(Y) + ')';
end;



end.

